@echo off
title - - - IMAGE TITLE AN MP4 AVC H.264 VIDEO + WRAP IT TO ".MKV" CONTAINER
@cmdow @ /SIZ 600 650
COLOR 4F
echo.
echo      D   R   A   F   T      V   E   R   S   I   O   N      !   :o)
echo.
echo.
echo      This "kit", though not fully automatic (see 
echo      "Instructions.txt"), helps you TITLE your   
echo      MP4 AVC H.264 video WITHOUT recoding, 
echo.
echo          by OVERLAYING a picture LOSSLESSLY on its  
echo          first 4 seconds. 
echo.
echo              Result: an ".mkv" video file.
echo.
echo          Your original video, as well as the resulting    
echo          one ÄÄ included in the ".mkv" file to come ÄÄ,
echo          remains untouched. 
echo.
echo.
echo              ÄÄÄ  Required: PC running Windows
echo                   (tested OK under old XP version). 
echo.
echo.
echo      For now, it uses an included 8 seconds ".mp4" EXAMPLE   
echo      or sample Ä but you can replace it with any "AVC H.264 MP4"
echo      file you want. 
echo.
echo      Just move the example away and rename Ä A COPY! Ä of  
echo      your video:
echo.
echo                     ÚÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ¿  
echo                     ³     _Video_orig.mp4    ³
echo                     ÀÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÙ
echo.
echo.
echo      ÄÄÄ If "Java" is already installed in your PC, next page, 
echo          type  1   and hit Enter. 
echo.
echo      ÄÄÄ If you don't have "Java" and would rather not install it, 
echo          next page, type   2   and hit Enter: it will run  
echo          PORTABLY (no installation). 
echo.
echo.
echo     ÚÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ¿
echo     ³                  HIT ANY KEY TO CONTINUE                    ³
echo     ÀÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÙ
pause >nul
echo.
echo.

set path_editor=EditPad\EditPad.exe
set path_xml=Test-subtitles_exp.xml

set BDSup2Sub=BDSup2Sub-512\BDSup2Sub.jar
set path_java=BDSup2Sub-512\PRG\CommonFiles\Java\bin\java.exe
set sup_output=Test-subtitles_exp_batch.sup
set value=/fps:25 /res:576 /filter:lanczos3

SET mkvmerge="MkvToolnix-691\JPE\CDrive\mkvmerge.exe"
set input_video=_Video_orig.mp4
rem choose one of those: 24000/1001p 24p 25p 30000/1001p 50i 60000/1001i 50p 60000/1001p
set input_video_fps=25p
set language=eng
set "chapters="

START /WAIT "%path_editor%" "%path_xml%"
"%path_java%" -Xmx256m -jar "%BDSup2Sub%" "%path_xml%" "%sup_output%" %value%
%mkvmerge% -o output_test.mkv "--forced-track" "0:no" "--default-duration" "0:%input_video_fps%" "--compression" "0:none" "-d" "0" "-A" "-S" "-T" "--no-global-tags" "(" "%input_video%" ")" "--language" "0:%language%"  "--default-track" "1:yes" "--forced-track" "1:no" "--compression" "1:none" "-a" "1" "-D" "-S" "-T" "--no-global-tags" "("  "%input_video%" ")" "--language" "0:%language%" "--default-track" "0:yes" "--forced-track" "0:no" "-s" "0" "-D" "-A" "-T" "--no-global-tags" "("  "%sup_output%" ")" %chapters% "--title" "test to include xml subtitles"
echo.
echo.
echo     ÚÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ¿
echo     ³                  DONE ú HIT ANY KEY TO EXIT                 ³
echo     ÀÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÙ
pause >nul